---
title: background-clip
slug: Web/CSS/background-clip
tags:
  - CSS
  - CSS Background
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<p>{{CSSRef}}</p>

<p>The <strong><code>background-clip</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets whether an element's background extends underneath its border box, padding box, or content box.</p>

<div>{{EmbedInteractiveExample("pages/css/background-clip.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<p>If the element has no {{cssxref("background-image")}} or {{cssxref("background-color")}}, this property will only have a visual effect when the border has transparent regions or partially opaque regions (due to {{cssxref("border-style")}} or {{cssxref("border-image")}}); otherwise, the border masks the difference.</p>

<div class="notecard note">
<p><strong>Note:</strong> Because the <a href="/en-US/docs/Web/HTML/Element/html">root element</a> has a different background painting area, the <code>background-clip</code> property has no effect when specified on it. See "<a href="https://drafts.csswg.org/css-backgrounds-3/#special-backgrounds">The backgrounds of special elements.</a>"</p>
</div>

<div class="notecard note">
<p><strong>Note:</strong> For documents whose <a href="/en-US/docs/Web/HTML/Element/html">root element</a> is an HTML element: if the computed value of {{cssxref("background-image")}} on the root element is <code>none</code> and its {{cssxref("background-color")}} is <code>transparent</code>, user agents must instead propagate the computed values of the <code>background</code> properties from that element’s first HTML {{HTMLElement("body")}} child element. The used values of that <code>&lt;body&gt;</code> element’s <code>background</code> properties are their initial values, and the propagated values are treated as if they were specified on the root element. It is recommended that authors of HTML documents specify the canvas background for the <code>&lt;body&gt;</code> element rather than the HTML element.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
background-clip: border-box;
background-clip: padding-box;
background-clip: content-box;
background-clip: text;

/* Global values */
background-clip: inherit;
background-clip: initial;
background-clip: unset;
</pre>

<h3 class="brush: css" id="Values">Values</h3>

<dl>
 <dt><code>border-box</code></dt>
 <dd>The background extends to the outside edge of the border (but underneath the border in z-ordering).</dd>
 <dt><code>padding-box</code></dt>
 <dd>The background extends to the outside edge of the padding. No background is drawn beneath the border.</dd>
 <dt><code>content-box</code></dt>
 <dd>The background is painted within (clipped to) the content box.</dd>
 <dt><code id="text">text</code> {{experimental_inline}}</dt>
 <dd>The background is painted within (clipped to) the foreground text.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p class="border-box"&gt;The background extends behind the border.&lt;/p&gt;
&lt;p class="padding-box"&gt;The background extends to the inside edge of the border.&lt;/p&gt;
&lt;p class="content-box"&gt;The background extends only to the edge of the content box.&lt;/p&gt;
&lt;p class="text"&gt;The background is clipped to the foreground text.&lt;/p&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">p {
  border: .8em darkviolet;
  border-style: dotted double;
  margin: 1em 0;
  padding: 1.4em;
  background: linear-gradient(60deg, red, yellow, red, yellow, red);
  font: 900 1.2em sans-serif;
  text-decoration: underline;
}

.border-box { background-clip: border-box; }
.padding-box { background-clip: padding-box; }
.content-box { background-clip: content-box; }

.text {
  background-clip: text;
  -webkit-background-clip: text;
  color: rgba(0,0,0,.2);
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Examples', 600, 580)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Backgrounds', '#the-background-clip', 'background-clip')}}</td>
   <td>{{Spec2('CSS3 Backgrounds')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS4 Backgrounds', '#background-clip', 'background-clip')}}</td>
   <td>{{Spec2('CSS4 Backgrounds')}}</td>
   <td>Add <code>text</code> value.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.background-clip")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{cssxref("clip-path")}} property creates a clipping region that defines what part of an <em>entire element</em> should be displayed.</li>
 <li>Background properties: {{cssxref("background")}}, {{cssxref("background-color")}}, {{cssxref("background-image")}}, {{cssxref("background-origin")}}</li>
 <li><a href="/en-US/docs/Web/CSS/box_model">Introduction to the CSS box model</a></li>
</ul>
